/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VDmElementE0;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VDmElementE0Record extends TableRecordImpl<VDmElementE0Record> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_dm_element_e0.tree</code>.
     */
    public void setTree(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_element_e0.tree</code>.
     */
    public String getTree() {
        return (String) get(0);
    }

    /**
     * Setter for <code>common_dd.v_dm_element_e0.key_element</code>.
     */
    public void setKeyElement(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_element_e0.key_element</code>.
     */
    public Integer getKeyElement() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.v_dm_element_e0.key_element_type</code>.
     */
    public void setKeyElementType(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_element_e0.key_element_type</code>.
     */
    public Integer getKeyElementType() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.v_dm_element_e0.key_parent_element</code>.
     */
    public void setKeyParentElement(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_element_e0.key_parent_element</code>.
     */
    public Integer getKeyParentElement() {
        return (Integer) get(3);
    }

    /**
     * Setter for <code>common_dd.v_dm_element_e0.dn</code>.
     */
    public void setDn(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_element_e0.dn</code>.
     */
    public String getDn() {
        return (String) get(4);
    }

    /**
     * Setter for <code>common_dd.v_dm_element_e0.order_nr</code>.
     */
    public void setOrderNr(Integer value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_element_e0.order_nr</code>.
     */
    public Integer getOrderNr() {
        return (Integer) get(5);
    }

    /**
     * Setter for <code>common_dd.v_dm_element_e0.short_name</code>.
     */
    public void setShortName(String value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_element_e0.short_name</code>.
     */
    public String getShortName() {
        return (String) get(6);
    }

    /**
     * Setter for <code>common_dd.v_dm_element_e0.is_public</code>.
     */
    public void setIsPublic(Integer value) {
        set(7, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_element_e0.is_public</code>.
     */
    public Integer getIsPublic() {
        return (Integer) get(7);
    }

    /**
     * Setter for <code>common_dd.v_dm_element_e0.hier_lang</code>.
     */
    public void setHierLang(String value) {
        set(8, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_element_e0.hier_lang</code>.
     */
    public String getHierLang() {
        return (String) get(8);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VDmElementE0Record
     */
    public VDmElementE0Record() {
        super(VDmElementE0.V_DM_ELEMENT_E0);
    }

    /**
     * Create a detached, initialised VDmElementE0Record
     */
    public VDmElementE0Record(String tree, Integer keyElement, Integer keyElementType, Integer keyParentElement, String dn, Integer orderNr, String shortName, Integer isPublic, String hierLang) {
        super(VDmElementE0.V_DM_ELEMENT_E0);

        setTree(tree);
        setKeyElement(keyElement);
        setKeyElementType(keyElementType);
        setKeyParentElement(keyParentElement);
        setDn(dn);
        setOrderNr(orderNr);
        setShortName(shortName);
        setIsPublic(isPublic);
        setHierLang(hierLang);
        resetChangedOnNotNull();
    }
}
